Main Page Widgets Namespaces Book

# Gtk::ComboBoxEntryText Class Reference
[Widgets]

Inheritance diagram for Gtk::ComboBoxEntryText:

[legend]
List of all members.

## Detailed Description

This is a specialisation of the ComboBoxEntry which has one column of text (a simple list), and appropriate methods for setting and getting the text.

## Public Member Functions

| ComboBoxEntryText ()
void | append_text (const Glib::ustring& text)
void | insert_text (int position, const Glib::ustring& text)
void | prepend_text (const Glib::ustring& text)
Glib::ustring | get_active_text () const
void | set_active_text (const Glib::ustring& text)
void | clear ()
| Unsets all the mappings on all renderers on cell_layout and removes all renderers from cell_layout .

## Protected Attributes

TextModelColumns | m_text_columns

## Constructor & Destructor Documentation

Gtk::ComboBoxEntryText::ComboBoxEntryText | ( |  | ) |

## Member Function Documentation

void Gtk::ComboBoxEntryText::append_text | ( | const Glib::ustring& | text | ) |

void Gtk::ComboBoxEntryText::clear | ( |  | ) |

| Unsets all the mappings on all renderers on cell_layout and removes all renderers from cell_layout . Since: 2.4 Reimplemented from Gtk::CellLayout.

Glib::ustring Gtk::ComboBoxEntryText::get_active_text | ( |  | ) | const

void Gtk::ComboBoxEntryText::insert_text | ( | int | position,
|  | const Glib::ustring& | text
| ) |

void Gtk::ComboBoxEntryText::prepend_text | ( | const Glib::ustring& | text | ) |

void Gtk::ComboBoxEntryText::set_active_text | ( | const Glib::ustring& | text | ) |

## Member Data Documentation

TextModelColumns Gtk::ComboBoxEntryText::m_text_columns`[protected]`

The documentation for this class was generated from the following file:

- comboboxentrytext.h